Package com.xebialabs.xlrelease.service

# Class ExecuteTaskAction

java.lang.Object
com.xebialabs.xlrelease.service.ExecuteTaskAction

All Implemented Interfaces:
  `PostAction`, `TaskPostAction`, `Serializable`, `scala.Equals`, `scala.Product`

public class ExecuteTaskAction extends Object implements TaskPostAction, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecuteTaskAction(Task task)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExecuteTaskAction`
  `apply(Task task)`
  `boolean`
  `canEqual(Object x$1)`
  `ExecuteTaskAction`
  `copy(Task task)`
  `Task`
  `copy$default$1()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Task`
  `task()`
  `String`
  `toString()`
  `static scala.Option<Task>`
  `unapply(ExecuteTaskAction x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ExecuteTaskAction

    public ExecuteTaskAction(Task task)

- ## Method Details

  - ### apply

    public static ExecuteTaskAction apply(Task task)

  - ### unapply

    public static scala.Option<Task> unapply(ExecuteTaskAction x$0)

  - ### task

    public Task task()
    Specified by:
      `task` in interface `TaskPostAction`

  - ### copy

    public ExecuteTaskAction copy(Task task)

  - ### copy$default$1

    public Task copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`